[arch-commits] Commit in grep/repos (3 files)

Sébastien Luttringer seblu at gemini.archlinux.org
Sat Sep 3 12:40:16 UTC 2022


    Date: Saturday, September 3, 2022 @ 12:40:15
  Author: seblu
Revision: 454994

archrelease: copy trunk to testing-x86_64

Added:
  grep/repos/testing-x86_64/
  grep/repos/testing-x86_64/PKGBUILD
    (from rev 454993, grep/trunk/PKGBUILD)
  grep/repos/testing-x86_64/keys/

----------+
 PKGBUILD |   49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

Copied: grep/repos/testing-x86_64/PKGBUILD (from rev 454993, grep/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2022-09-03 12:40:15 UTC (rev 454994)
@@ -0,0 +1,49 @@
+# Maintainer: Sébastien Luttringer <seblu at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=grep
+pkgver=3.8
+pkgrel=1
+pkgdesc='A string search utility'
+arch=('x86_64')
+license=('GPL3')
+url='https://www.gnu.org/software/grep/'
+groups=('base-devel')
+depends=('glibc' 'pcre')
+makedepends=('texinfo')
+validpgpkeys=('155D3FC500C834486D1EEA677FD9FCCB000BEEEE') # Jim Meyering
+source=("https://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
+sha256sums=('498d7cc1b4fb081904d87343febb73475cf771e424fb7e6141aff66013abc382'
+            'SKIP')
+
+prepare() {
+  cd $pkgname-$pkgver
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    msg2 "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+}
+
+build() {
+  cd $pkgname-$pkgver
+  # configure option --without-included-regex removed in 3.7
+  # see: https://lists.gnu.org/archive/html/bug-grep/2021-08/msg00028.html
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make check
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}



More information about the arch-commits mailing list